@extends('layouts.app')

@section('title',"Inicio")

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-12">
            <div class="card">
                <div class="card-header">Panel</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                     Bienvenido a nuestro sistema contable
                     <hr>
                     <div class="alert alert-info">
                        <i class="icon-info22"></i> Elije una fecha para todo el sistema
                     </div>
                     <div class="row justify-content-center ">
                        <div class="col-5">
                            <label for=""><b>Fecha Contable:</b></label>

                            <div class="input-group">
                                    <input type="text" class="form-control" id="fecha" data-change="ON" placeholder="Fecha contable" onchange="dates(this); return false">
                                    <span class="input-group-append">
                                    <span class="input-group-text"><i class="icon-calendar"></i></span>
                                </span>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
    @section('scripts')
        <script>
            function instalador(){
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    url: 'install',
                    type: 'POST',
                    data: {'action': 'search_modules'},
                })
                .done(function(data) {
                    alert(data);
                })
                .fail(function() {
                    console.log("error");
                })
                .always(function() {
                    console.log("complete");
                });
            }
            $.fn.datepicker.defaults.format = "mm/yyyy";
            $('#fecha').datepicker({
                weekStart: 1,
                daysOfWeekHighlighted: "6,0",
                autoclose: true,
                todayHighlight: true,
                viewMode: "months", 
                minViewMode: "months"
            });
            let date_actually = (localStorage.getItem('fecha_contable') !== null) ? localStorage.getItem('fecha_contable') :  "{{  date('m/yy') }}";
            $('#fecha').val(date_actually);

            let get_date =  $('#fecha').val();
            dates();
            function dates (i){
                data_c =  get_date;
                if ($(i).attr('data-change')) {
                    data_c = $(i).val();
                }
                localStorage.setItem('fecha_contable',data_c);
                $.noty_success(`El sistema ahora esta configurado para la fecha ${data_c}`);
            }
        </script>
    @endsection
@endsection
